Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 201377 - Enable java -splash on Linux
Enable java -splash on Linux
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Launchers&CLI
7.1
Other Linux
: P3 (vote)
: 7.4
Assigned To: Jiri Rechtacek
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-27 13:38 UTC by Jaroslav Tulach
Modified: 2013-02-11 20:18 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2011-08-27 13:38:23 UTC
java -splash is not used on Linux due to bug 178453. As JDK problem 6379447 was fixed long time ago in 1.6u21, I guess we should enable -splash on Unixes again.
Comment 1 Jesse Glick 2011-08-30 19:14:45 UTC
May still be plenty of people using 6u20 or earlier; do we have statistics on this?

Need to take into account bug #201377.
Comment 2 Jiri Rechtacek 2012-02-16 16:57:14 UTC
Assigned to new owner.
Comment 3 Jaroslav Tulach 2012-03-02 15:19:46 UTC
Simple fix for the 6u20 problem, is to write down the splash.gif cache file only if the IDE is running on newer version of JDK. That will work in majority of cases[1].

There is not much work to make it work. Just:
#1 - revert http://hg.netbeans.org/main-golden/rev/0d600a0c79a3
#2 - write down the cache only on newer JDKs.

Tonda, assign to me, if you want to me do it for 7.2.


[1] Unless somebody starts on JDK6u21 one day and then returns back to JDK6u20 later.
Comment 4 Jiri Rechtacek 2013-02-08 10:57:56 UTC
http://hg.netbeans.org/core-main/rev/3b3ebf20f7a0
Comment 5 Quality Engineering 2013-02-10 01:41:40 UTC
Integrated into 'main-golden', will be available in build *201302092300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/3b3ebf20f7a0
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #201377: Enable java -splash on Linux;
don't care about Java 6 in light of near switching to Java 7 or newer
Comment 6 Jaroslav Tulach 2013-02-11 20:18:44 UTC
Yes, the -splash is used on my $ java -version
java version "1.7.0_13"
Java(TM) SE Runtime Environment (build 1.7.0_13-b20)
Java HotSpot(TM) Server VM (build 23.7-b01, mixed mode)
and it shows pretty damn fast! Great.

I've noticed just one problem - on my multi monitor setup the splash is not centred properly.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo